#-----------------------------------------------------------------------------
%{?!dist:	%define	dist		.ok}
# this is not a library version
%define		as_plugin_version	5
#-----------------------------------------------------------------------------
Name		:	libappstream-glib
Version		:	0.8.2
Release		:	17.2.0.rel%{?dist}
Summary		:	Library for AppStream metadata

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://people.freedesktop.org/~hughsient/appstream-glib/
			#https://github.com/hughsie/appstream-glib

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	gdk-pixbuf
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	libstemmer-devel
BuildRequires	:	json-glib
BuildRequires	:	meson

Provides	:	appdata-tools

#-----------------------------------------------------------------------------
%description
This library provides GObjects and helper methods
to make it easy to read and write AppStream metadata.
It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from
the standardized XML representation.
 
#-----------------------------------------------------------------------------
%files			-f appstream-glib.lang
%defattr(-,root,root,-)
%doc README.md AUTHORS NEWS
%license COPYING
%{_bindir}/appstream-util
%{_bindir}/appstream-compose
%{_libdir}/%{name}.so.8*
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/AppStreamGlib-1.0.gir
%{_datadir}/bash-completion/completions/appstream-util
%{_mandir}/man1/appstream-util.1.gz
%{_mandir}/man1/appstream-compose.1.gz

#=============================================================================
%package		devel
Summary		:	Development files for %{name} 
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Files needed when building software with %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/appstream-glib.pc
%{_datadir}/aclocal/*.m4
%{_datadir}/gtk-doc/html/appstream-glib/*.html
%{_datadir}/gtk-doc/html/appstream-glib/*.png
%{_datadir}/gtk-doc/html/appstream-glib/style.css
%{_datadir}/gettext/its/appdata.its
%{_datadir}/gettext/its/appdata.loc
%{_datadir}/installed-tests/appstream-glib/*.test

#=============================================================================
%package		builder
Summary		:	Library and command line tools for building AppStream metadata

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		builder
This library and command line tool is used for building AppStream metadata
from a directory of packages.

#-----------------------------------------------------------------------------
%files			builder
%defattr(-,root,root,-)
%license COPYING
%{_bindir}/appstream-builder
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_appdata.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_desktop.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_font.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_gettext.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_hardcoded.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_icon.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_shell_extension.so
%{_datadir}/bash-completion/completions/appstream-builder
%{_mandir}/man1/appstream-builder.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
%build
meson						\
	setup					\
        --prefix=%{_prefix}			\
        --sysconfdir=%{_sysconfdir}		\
        --includedir=%{_includedir}		\
	--mandir=%{_mandir}			\
	--libdir=%{_libdir}			\
	--infodir=%{_infodir}			\
	--buildtype=release			\
	-D gtk-doc=true 			\
	-D stemmer=true				\
	-D dep11=false				\
	_bld

ninja						\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


DESTDIR=%{buildroot}				\
        ninja					\
        -C _bld					\
        install

%find_lang appstream-glib
#-----------------------------------------------------------------------------
%changelog
